Subject: Re: [PATCH net] selftests: net: Fix checksums in xdp_native

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 May 2026 18:38:32 -0700

On Wed, 13 May 2026 10:23:55 +0300 Nimrod Oren wrote:
> Data adjustment cases failed with "Data exchange failed" when using IPv4
> because the program did not update the IP and UDP checksums in the IPv4
> branch. The issue was masked when both IPv4 and IPv6 were configured,
> since the test harness prefers IPv6.

Oops, maybe we should run against both IP version after all?